> ## Documentation Index
> Fetch the complete documentation index at: https://chatbotx.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Send message to contact



## OpenAPI

````yaml /api-reference/platform-api.json post /v1/contacts/{identifier}/messages
openapi: 3.1.1
info:
  title: ChatbotX
  version: 0.0.1
servers:
  - url: https://app.chatbotx.io/api
security:
  - developerAccessToken: []
  - tokenInSearchParams: []
paths:
  /v1/contacts/{identifier}/messages:
    post:
      tags:
        - Contacts
      summary: Send message to contact
      operationId: sendMessageWorkspaceTokenAPI
      parameters:
        - name: identifier
          in: path
          required: true
          schema:
            type: string
            minLength: 1
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: object
              properties:
                text:
                  type: string
                  minLength: 1
                  maxLength: 1000
                files:
                  type: array
                  minItems: 1
                  items:
                    not: {}
                flowId:
                  type: string
                  pattern: \d+
                nodeId:
                  type: string
                  pattern: \d+
                inboxId:
                  type: string
                  pattern: \d+
                  description: >-
                    ID of the channel to send the message on. null to send
                    message on the last interacted channel (if any).
                clientId:
                  type: string
                  pattern: \d+
      responses:
        '204':
          description: OK
          content:
            application/json:
              schema:
                anyOf:
                  - {}
                  - not: {}
components:
  securitySchemes:
    developerAccessToken:
      type: http
      scheme: bearer
    tokenInSearchParams:
      type: apiKey
      in: query
      name: token

````